Subject: Re: [PATCH v3 6/8] rebase: add --update-refs option

From: Derrick Stolee <[email-masked]>
Date: Wed, 29 Jun 2022 09:03:46 -0400

On 6/28/22 5:09 PM, Junio C Hamano wrote:
> "Derrick Stolee via GitGitGadget" <[email-masked]> writes:
...
>> This change update the documentation and builtin to accept the
>> --update-refs option as well as updating the todo file with the
>> 'update-ref' commands. Tests are added to ensure that these todo
>> commands are added in the correct locations.
> 
> OK, so command line option is `--update-refs` because the range
> being rebased could contain more than one branch tips, and the
> option causes one `update-ref` insn per such ref left in the todo
> list?  I had to read the above twice to remind me what was going on.
> 
> The design looks OK here but has "rebase-merge/update-refs" already
> came into the picture, or will it be in future steps?  I lost track.

Sorry, we have the ability to read the file (and tests that read an
artificial version of the file for the branch_checked_out() logic) but
have not written it from within Git yet.

I can make it clearer what is _not_ in this patch and coming in a
future change.

Thanks,
-Stolee